Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.kernels.sg.LinearSGKernel

class `mvpa2.kernels.sg.``LinearSGKernel`(normalizer_cls=None, normalizer_args=None, **kwargs)

  A basic linear kernel computed via Shogun: K(a,b) = a*b.T

  Methods

  `add_conversion`(typename, methodfull, methodraw) | Adds methods to the Kernel class for new conversions :Parameters: typename : string Describes kernel type methodfull : function Method which converts to the new kernel object class methodraw : function Method which returns a raw kernel ..
  `as_ls`(kernel) |
  `as_np`() | Converts this kernel to a Numpy-based representation
  `as_raw_ls`(kernel) |
  `as_raw_np`() | Directly return this kernel as a numpy array
  `as_raw_sg`() |
  `as_sg`() |
  `cleanup`() | Wipe out internal representation
  `compute`(ds1[, ds2]) | Generic computation of any kernel Assumptions: - ds1, ds2 are either datasets or arrays, - presumably 2D (not checked neither enforced here - _compute takes ndarrays.
  `computed`(*args, **kwargs) | Compute kernel and return self
  `reset`() |

  Parameters:

  normalizer_cls : sg.Kernel.CKernelNormalizer

  > Class to use as a normalizer for the kernel. Will be instantiated upon compute(). Only supported for shogun >= 0.6.5. By default (if left None) assigns IdentityKernelNormalizer to assure no normalization.

  normalizer_args : None or list

  > If necessary, provide a list of arguments for the normalizer.

  Methods

  `add_conversion`(typename, methodfull, methodraw) | Adds methods to the Kernel class for new conversions :Parameters: typename : string Describes kernel type methodfull : function Method which converts to the new kernel object class methodraw : function Method which returns a raw kernel ..
  `as_ls`(kernel) |
  `as_np`() | Converts this kernel to a Numpy-based representation
  `as_raw_ls`(kernel) |
  `as_raw_np`() | Directly return this kernel as a numpy array
  `as_raw_sg`() |
  `as_sg`() |
  `cleanup`() | Wipe out internal representation
  `compute`(ds1[, ds2]) | Generic computation of any kernel Assumptions: - ds1, ds2 are either datasets or arrays, - presumably 2D (not checked neither enforced here - _compute takes ndarrays.
  `computed`(*args, **kwargs) | Compute kernel and return self
  `reset`() |

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »